Bug 114583 - Please update Date::Manip to newer CPAN version
Please update Date::Manip to newer CPAN version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-DateManip (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 14:13 EST by Ed Avis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 12:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2004-01-29 14:13:22 EST
Date::Manip-5.42a fixes bugs present in 5.40.  Current Fedora no
longer suffers from the bad UTF-8 character warnings this module
produced in RH9, because perl's behaviour has changed, but it's still
worth upgrading for other fixes.

Please update this package to the latest upstream source
<http://www.cpan.org/modules/by-module/Date/DateManip-5.42a.tar.gz>. 
I do not believe any major spec file changes will be needed.
Comment 1 Ed Avis 2004-01-29 14:15:52 EST
--- perl-DateManip.spec~	2003-01-28 02:13:21.000000000 +0000
+++ perl-DateManip.spec	2004-01-29 19:15:41.688981072 +0000
@@ -2,11 +2,11 @@
 
 Summary: A Perl module containing a wide variety of date manipulation
routines.
 Name: perl-DateManip
-Version: 5.40
-Release: 30
+Version: 5.42a
+Release: 1
 License: distributable
 Group: Applications/CPAN
-Source0: DateManip-%{version}.tar.gz
+Source0:
http://www.cpan.org/modules/by-module/Date/DateManip-5.42a.tar.gz
 Url: http://www.cpan.org
 BuildRoot: %{_tmppath}/perl-DateManip-buildroot/
 BuildRequires: perl >= 0:5.00503
@@ -56,6 +56,9 @@
 %defattr(-,root,root)
 
 %changelog
+* Thu Jan 29 2004 Ed Avis <ed@membled.com>
+- 5.42a
+
 * Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
 - automated release bump and build
 
Comment 2 Chip Turner 2004-02-17 12:12:35 EST
5.42a is now in rawhide
Comment 3 Ed Avis 2004-02-17 14:57:28 EST
Thanks.  You might want to look at the other bugs filed against
perl-DateManip, particularly the UTF-8 encoding problems, which this
newer version fixes.

Note You need to log in before you can comment on or make changes to this bug.